Improve terminology: the testsuite "passed", not "succeeded".
[bigint/bigint.git] / run-testsuite
index 0c563c2..e0ff8d3 100755 (executable)
@@ -2,9 +2,15 @@
 
 bad=
 
+if [ "$NO_VALGRIND" ]; then
+       cmd=(./testsuite)
+else
+       cmd=(valgrind --error-exitcode=1 --leak-check=full ./testsuite)
+fi
+
 set -o pipefail
-if ! valgrind --error-exitcode=1 --leak-check=full \
-       ./testsuite 2>&1 >testsuite.out | tee testsuite.err; then
+# Stdout goes directly to testsuite.out; stderr goes down the pipe.
+if ! "${cmd[@]}" 2>&1 >testsuite.out | tee testsuite.err; then
        echo >&2 'Memory errors!'
        bad=1
 fi
@@ -23,5 +29,5 @@ if [ $bad ]; then
        echo >&2 'Test suite failed!'
        exit 1
 else
-       echo 'Test suite succeeded.'
+       echo 'Test suite passed.'
 fi